Rated 1 out of 5 stars

I'm using FFv3.6.13 and got this:

Firefox could not install the file at
https://addons.mozilla.org/firefox/downloads/latest/51615/platform:5/addon-51615-latest.jar?src=addondetail

because: Download error
-228

This review is for a previous version of the add-on (0.0.4).